Page MenuHomeFreeBSD

stand: Add disk_fmtdev for dv_fmtdev for all the disk devices
ClosedPublic

Authored by imp on Jul 25 2022, 8:33 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Apr 13, 10:28 PM
Unknown Object (File)
Thu, Apr 11, 12:45 PM
Unknown Object (File)
Sat, Mar 23, 5:51 AM
Unknown Object (File)
Sat, Mar 23, 5:51 AM
Unknown Object (File)
Sat, Mar 23, 5:51 AM
Unknown Object (File)
Sat, Mar 23, 5:51 AM
Unknown Object (File)
Sat, Mar 23, 5:25 AM
Unknown Object (File)
Dec 20 2023, 7:01 AM
Subscribers

Details

Summary

All of the archsw fmtdev functions treat DEVT_DISK as a call to
disk_fmtdev. Set all disks' dv_fmtdev to disk_fmtdev so devformat
will return the same thing.

Sponsored by: Netflix

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Passed
Unit
No Test Coverage
Build Status
Buildable 46648
Build 43537: arc lint + arc unit

Event Timeline

imp requested review of this revision.Jul 25 2022, 8:33 PM
This revision is now accepted and ready to land.Jul 26 2022, 12:27 PM
This revision now requires review to proceed.Jul 28 2022, 4:57 PM
This revision was not accepted when it landed; it landed in state Needs Review.Aug 11 2022, 4:28 PM
This revision was automatically updated to reflect the committed changes.